local addonName, ZLAUTO = ...
local ZL = ZLAUTO.mainFrame
local GameTooltipShow = ZL.GameTooltipShow
ZL.updateList = {
    {
        updateVer = "V2.5.01",
        updateDate = "2026-6-10",
        updateContent = [[
账单总览窗口智能优化：
1、每列行数根据分类智能化均匀排版，不会出现某一列超长情况；
2、支持简单的一些拍卖行为；
3、支持直接修改竞标获胜人名字和金额；
4、支持手动添加、删除、修改收支；
5、支持选择补贴配置，修改补贴配置金额等；









|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.28",
        updateDate = "2026-6-7",
        updateContent = [[
1、增加：无法交易玩家不能使用快速拍卖；
2、修复：点击"待交易"按钮时偶尔出现报错；
3、增加：自主设置通报账单频率，防止通报速度过快有些消息被屏蔽；










|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.27",
        updateDate = "2026-6-3",
        updateContent = [[
1、修复账单窗口报错；
2、删除调试代码。











|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.26",
        updateDate = "2026-6-2",
        updateContent = [[
修复因加密信息提示的各种报错；











|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.25",
        updateDate = "2026-5-31",
        updateContent = [[
1、将"隐藏拍卖中无法使用物品"功能改成"隐藏拍卖中不适合当前专精物品"；
2、竞拍时物品如果不适合当前专精将弹窗提醒；
3、优化拍卖窗口列宽度











|cffffde00艾萨拉金团|r(YY语音官方认证合作商)指定拍卖插件
|cffffde00张大爷金团|r社区指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.24",
        updateDate = "2026-5-26",
        updateContent = [[
修复自动提醒焦点技能语音问题；











YY语音官方认证合作商|cffffde00艾萨拉金团|r指定拍卖插件
]],
    },
    {
        updateVer = "V2.4.23",
        updateDate = "2026-5-24",
        updateContent = [[
1、拍卖窗口增加时光徽章兑换比例；
2、优化拍卖逻辑；


感谢：
YY语音官方认证合作商|cffffde00艾萨拉金团|r大力赞助支持
也感谢所有使用|cffffde00AutoAuction|r朋友积极反馈和建议
有你们的支持，插件会走得更远，功能更完善
]],
    },
    {
        updateVer = "V2.4.22",
        updateDate = "2026-5-17",
        updateContent = [[
1、修复按工资比例调整队伍时无法退出问题；
2、优化按工资比例调整队伍，快照队伍现在不会频繁变动；
]],
    },
    {
        updateVer = "V2.4.21",
        updateDate = "2026-5-16",
        updateContent = [[
1、优化按工资比例调整队伍，连续自动调整3次后自动退出；
2、其它一些提示信息优化；
]],
    },
    {
        updateVer = "V2.4.20",
        updateDate = "2026-5-13",
        updateContent = [[
1、保存数据和团员名单提醒修改：
    1.1、只有在团队中才提醒；
    1.2、增加选项：只有在队长分配时才提醒，默认不勾选；
2、增加查看历史版本更新记录功能，入口：拍卖窗口——顶部——右键点击|cffffde00版本|r按钮，最多查看最近20条更新记录；
]],
    },
    {
        updateVer = "V2.4.19",
        updateDate = "2026-5-9",
        updateContent = [[
1、修复账单总览缺少进军奎尔丹纳斯副本BOSS记录；
2、优化物品拍卖设置窗口UI；
]],
},
    {
        updateVer = "V2.4.18",
        updateDate = "2026-5-8",
        updateContent = [[
1、修复工资比例和WCL分数不匹配BUG；
2、优化工资单窗口列宽度；
]],
},
    {
        updateVer = "V2.4.17",
        updateDate = "2026-5-7",
        updateContent = [[
1、增加：按工资比例一键调整队伍；
2、删除调试信息;
]],
},
    {
        updateVer = "V2.4.16",
        updateDate = "2026-5-5",
        updateContent = [[
1、优化查询团员副本CD版本显示问题；
2、如有新的团员副本CD信息，刷新界面按钮高亮闪烁提醒；
3、只有在团队中时才自动切换分配模式和拾取品质；
]],
},
    {
        updateVer = "V2.4.15",
        updateDate = "2026-5-4",
        updateContent = [[
通报工资时增加：工资比例总览选项，默认不勾选，入口：设置——行为选项——其它选项；
]],
},
    {
        updateVer = "V2.4.14",
        updateDate = "2026-5-2",
        updateContent = [[
队长分配模式，右键玩家头像框支持指定人为物品拾取者；
]],
},
    {
updateVer = "V2.4.13",
updateDate = "2026-5-1",
updateContent = [[
1、为避免频繁查询团员副本CD，占用通信资源，将该功能改成只有团长才可查询；
2、其它一些优化；
]],
    },
    {
        updateVer = "V2.4.11",
        updateDate = "2026-4-30",
        updateContent = [[
1、修复重新获取团队副本信息时无法删除历史缓存数据BUG；
2、团队成员副本击杀信息窗口：增加移除团队成员功能；
3、增加自动切换分配方式功能，默认不勾选，入口：设置——行为选项——拾取分配及拍卖品质
4、删除调试代码；
]],
    },
    {
updateVer = "V2.4.10",
updateDate = "2026-4-29",
updateContent = [[
增加查看团员副本BOSS击杀情况，需都安装插件；
]],
    },
    {
        updateVer = "V2.4.09",
        updateDate = "2026-4-28",
        updateContent = [[
1、增加导出WCL分数功能链接；
2、优化导入WCL功能。

|cffffde00感谢：
千川魔兽 提供按分G团方案
DreamForge梦工坊 提供导出功能|r
]],
    },
    {
        updateVer = "V2.4.08",
        updateDate = "2026-4-26",
        updateContent = [[
1、增加导入WCL分数功能；
2、增加工资比例按照WCL分数自动调整功能；
3、优化拍卖记录窗口；
]],
    },
    {
        updateVer = "V2.4.07",
        updateDate = "2026-4-25",
        updateContent = [[
1、修复偶尔无法批量修改起拍价和加价幅度；
2、工资窗口增加交易工资功能；
3、工资窗口默认显示：所有人工资，原"勾选项：所有人工资"改成"勾选项：欠款人工资"；
4、交易窗口右侧增加应付欠款金额；
]],
    },
    {
        updateVer = "V2.4.06",
        updateDate = "2026-4-24",
        updateContent = [[
1、修复竞拍金额偶尔显示不对BUG；
2、其它一些功能优化；
]],
    },
    {
        updateVer = "V2.4.05",
        updateDate = "2026-4-23",
        updateContent = [[
1、删除开发者模式，不在队伍或者团队时玩家拥有查看相关数据权限；
2、将原拍卖物品相关设置数据调整到配置数据库下面；
3、增加导入、导出配置功能，路劲：拍卖清单顶部菜单——窗口；
4、修复已知BUG；
]],
    },
    {
        updateVer = "V2.4.04",
        updateDate = "2026-4-19",
        updateContent = [[
1、竞拍时增加物品是否可使用弹窗提醒；
2、增加：拍卖中物品是否隐藏无法使用的物品开关，设置路劲：配置——行为选项或右键点击拍卖中按钮；
]],
    },
    {
updateVer = "V2.4.03",
updateDate = "2026-4-17",
updateContent = [[
1、修复“通报”按钮悬浮提示装等显示不准BUG；
2、修复不带服务器名字职业颜色不显示问题；
3、增加导出拍卖清单功能，路劲：右键点"重置"按钮，选择"导出拍卖清单"；
4、修复交易时不自动摆放待交易物品和不自动记录欠款等BUG；
]],
    },
    {
        updateVer = "V2.4.01",
        updateDate = "2026-4-11",
        updateContent = [[
1、适配正式服12.0.5版本；
2、修复因服务器名字带来的各种问题；
3、正式服开放自动输入工资和金币功能（|cffffde00且用且珍惜|r）；
4、拍卖清单窗口增加：待交易TAB；
5、更换插件LOGO；
6、删除角色总览功能；
7、其它一些修复；
]],
    },
}

local f = CreateFrame("Frame")
f:RegisterEvent("PLAYER_ENTERING_WORLD")
f:SetScript("OnEvent", function (self, event)
    if event == "PLAYER_ENTERING_WORLD" then
        if not ZL.opt.updateVer or ZL.opt.updateVer ~= ZL.updateList[1].updateVer then
            if not ZL.UpdateHistoryFrame then ZL:CreateUpdateHistoryFrame() end
            ZL.UpdateHistoryFrame:Show()
        end
    end
end)

function ZL:CreateUpdateHistoryFrame()
    local UpdateHistoryFrame = CreateFrame("Frame", nil, UIParent, "BackdropTemplate")
    ZL.UpdateHistoryFrame = UpdateHistoryFrame
    UpdateHistoryFrame:SetSize(650, 400)
    UpdateHistoryFrame:SetPoint("CENTER", 0, 50)
    UpdateHistoryFrame:SetFrameStrata("DIALOG")
    UpdateHistoryFrame:SetToplevel(true)
    UpdateHistoryFrame:SetBackdrop({
        bgFile = "Interface\\DialogFrame\\UI-DialogBox-Background-Dark",
        edgeFile = "Interface\\DialogFrame\\UI-DialogBox-Border",
        tile = true,
        tileSize = 32,
        edgeSize = 32,
        insets = { left = 11, right = 12, top = 12, bottom = 11 }
    })
    UpdateHistoryFrame:Hide()
    local label1 = UpdateHistoryFrame:CreateFontString(nil, "ARTWORK")
    label1:SetWidth(UpdateHistoryFrame:GetWidth()-40)
    label1:SetFont(GameFontNormal:GetFont(), 20)
    label1:SetPoint("TOP", 0, -20)
    label1:SetTextColor(1, 0.82, 0)
    label1:SetText(format("%s  %s  %s更新", addonName .. "【|cffffffff金团拍卖助手AA|r】", ZL.updateList[1].updateDate, ZL.updateList[1].updateVer))
    local label2 = UpdateHistoryFrame:CreateFontString(nil, "ARTWORK")
    label2:SetWidth(UpdateHistoryFrame:GetWidth()-40)
    label2:SetFont(GameFontNormal:GetFont(), 15)
    label2:SetPoint("TOPLEFT", label1, "BOTTOMLEFT", 0, -20)
    label2:SetJustifyH("LEFT")
    label2:SetText(ZL.updateList[1].updateContent)
    local btn1 = ZL.CreateButton(nil, UpdateHistoryFrame, "我已了解", "BOTTOM", UpdateHistoryFrame, "BOTTOM", 0, 20, 100, 24, 14, true, 0)
    btn1:Disable()
    btn1:SetScript("OnClick", function ()
        ZL.opt.updateVer = ZL.updateList[1].updateVer
        UpdateHistoryFrame:Hide()
    end)
    local btn2 = ZL.CreateButton(nil, UpdateHistoryFrame, "历史版本", "BOTTOMRIGHT", UpdateHistoryFrame, "BOTTOMRIGHT", -15, 20, 100, 24, 14, true, 0)
    btn2:SetScript("OnClick", function (self)
        local tempList = {}
        for i, data in ipairs(ZL.updateList) do
            if i <= 20 and i > 1 then
                tinsert(tempList, {
                    text = data.updateVer,
                    notClickable = 1,
                    tooltipMore = function (_, _, button)
                        GameTooltipShow(button, "TOPLEFT", "TOPRIGHT")
                        GameTooltip:AddLine(data.updateVer .. "    " .. data.updateDate)
                        GameTooltip:AddLine(data.updateContent, 1, 1, 1, true)
                    end
                })
            end
        end
        if #tempList > 0 then
            ZL.GUI:ToggleMenu(self, tempList, "cursor")
        end
    end)
    local count = 5
    local txt1 = btn1:GetText()
    btn1:SetText(txt1 .. "(" .. count .. ")")
    C_Timer.NewTicker(1, function ()
        if count > 1 then
            count = count - 1
            btn1:SetText(txt1 .. "(" .. count .. ")")
        else
            btn1:SetText(txt1)
            btn1:Enable()
        end
    end, 5)
end
